Name:           perl-Convert-ASCII-Armour
Version:        1.4
Release:        6%{?dist}
Summary:        Convert binary octets into ASCII armoured messages
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Convert-ASCII-Armour/
Source0:        http://www.cpan.org/authors/id/V/VI/VIPUL/Convert-ASCII-Armour-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(Compress::Zlib)
BuildRequires:  perl(ExtUtils::MakeMaker)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module converts hashes of binary octets into ASCII messages
suitable for transfer over 6-bit clean transport channels.  The
encoded ASCII resembles PGP's armoured messages, but are in no way
compatible with PGP.

%prep
%setup -q -n Convert-ASCII-Armour-%{version}

for file in lib/Convert/ASCII/*.pm ; do
    %{__perl} -pi -e '$_=undef if (/^\#\!/ and $.==1)' $file
done

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

perldoc -t perlgpl > COPYING

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc ARTISTIC COPYING
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Wed Mar  5 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.4-6
- rebuild for new perl

* Tue Apr 17 2007 Steven Pritchard <steve@kspei.com> 1.4-5
- Use fixperms macro instead of our own chmod incantation.
- BR ExtUtils::MakeMaker.

* Sat Sep 16 2006 Steven Pritchard <steve@kspei.com> 1.4-4
- Canonicalize Source0 URL.
- Fix find option order.

* Thu Feb 02 2006 Steven Pritchard <steve@kspei.com> 1.4-3
- Better Summary (BZ #168610).

* Sat Sep 17 2005 Steven Pritchard <steve@kspei.com> 1.4-2
- Minor spec cleanup.
- Remove explicit dependencies on core modules.
- Remove #! lines from *.pm to quiet rpmlint.

* Sat Aug 27 2005 Steven Pritchard <steve@kspei.com> 1.4-1
- Specfile autogenerated.
